import type { IDataObject } from 'n8n-workflow';
import { WithTimestampsAndStringId } from '../../databases/entities/abstract-entity';
import type { TestCaseExecution } from '../../databases/entities/test-case-execution.ee';
import { TestDefinition } from '../../databases/entities/test-definition.ee';
import type { TestRunFinalResult } from '../../databases/repositories/test-run.repository.ee';
import type { TestRunErrorCode } from '../../evaluation.ee/test-runner/errors.ee';
export type TestRunStatus = 'new' | 'running' | 'completed' | 'error' | 'cancelled';
export type AggregatedTestRunMetrics = Record<string, number | boolean>;
export declare class TestRun extends WithTimestampsAndStringId {
    testDefinition: TestDefinition;
    testDefinitionId: string;
    status: TestRunStatus;
    runAt: Date | null;
    completedAt: Date | null;
    metrics: AggregatedTestRunMetrics;
    totalCases: number;
    passedCases: number;
    failedCases: number;
    errorCode: TestRunErrorCode | null;
    errorDetails: IDataObject | null;
    testCaseExecutions: TestCaseExecution[];
    finalResult?: TestRunFinalResult | null;
}
