import express from 'express';
import { InstanceSettings } from 'n8n-core';
import { TestCaseExecutionRepository } from '../databases/repositories/test-case-execution.repository.ee';
import { TestRunRepository } from '../databases/repositories/test-run.repository.ee';
import { TestRunsRequest } from '../evaluation.ee/test-definitions.types.ee';
import { TestRunnerService } from '../evaluation.ee/test-runner/test-runner.service.ee';
import { Telemetry } from '../telemetry';
import { TestDefinitionService } from './test-definition.service.ee';
export declare class TestRunsController {
    private readonly testDefinitionService;
    private readonly testRunRepository;
    private readonly testCaseExecutionRepository;
    private readonly testRunnerService;
    private readonly instanceSettings;
    private readonly telemetry;
    constructor(testDefinitionService: TestDefinitionService, testRunRepository: TestRunRepository, testCaseExecutionRepository: TestCaseExecutionRepository, testRunnerService: TestRunnerService, instanceSettings: InstanceSettings, telemetry: Telemetry);
    private getTestDefinition;
    private getTestRun;
    getMany(req: TestRunsRequest.GetMany): Promise<{
        finalResult: import("../databases/repositories/test-run.repository.ee").TestRunFinalResult | null;
        testDefinition: import("../databases/entities/test-definition.ee").TestDefinition;
        testDefinitionId: string;
        status: import("../databases/entities/test-run.ee").TestRunStatus;
        runAt: Date | null;
        completedAt: Date | null;
        metrics: import("../databases/entities/test-run.ee").AggregatedTestRunMetrics;
        totalCases: number;
        passedCases: number;
        failedCases: number;
        errorCode: import("./test-runner/errors.ee").TestRunErrorCode | null;
        errorDetails: import("n8n-workflow").IDataObject | null;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    }[]>;
    getOne(req: TestRunsRequest.GetOne): Promise<import("../databases/repositories/test-run.repository.ee").TestRunSummary>;
    getTestCases(req: TestRunsRequest.GetCases): Promise<import("../databases/entities/test-case-execution.ee").TestCaseExecution[]>;
    delete(req: TestRunsRequest.Delete): Promise<{
        success: boolean;
    }>;
    cancel(req: TestRunsRequest.Cancel, res: express.Response): Promise<void>;
}
