import type { SelectQueryBuilder } from '@n8n/typeorm';
import { DataSource, Repository } from '@n8n/typeorm';
import { InsightsByPeriod } from '../entities/insights-by-period';
import type { PeriodUnit } from '../entities/insights-shared';
export declare class InsightsByPeriodRepository extends Repository<InsightsByPeriod> {
    constructor(dataSource: DataSource);
    private escapeField;
    private getPeriodFilterExpr;
    private getPeriodStartExpr;
    getPeriodInsightsBatchQuery({ periodUnitToCompactFrom, compactionBatchSize, maxAgeInDays, }: {
        periodUnitToCompactFrom: PeriodUnit;
        compactionBatchSize: number;
        maxAgeInDays: number;
    }): SelectQueryBuilder<{
        id: number;
        metaId: number;
        type: string;
        value: number;
        periodStart: Date;
    }>;
    getAggregationQuery(periodUnit: PeriodUnit): SelectQueryBuilder<import("@n8n/typeorm").ObjectLiteral>;
    compactSourceDataIntoInsightPeriod({ sourceBatchQuery, sourceTableName, periodUnitToCompactInto, }: {
        sourceBatchQuery: SelectQueryBuilder<{
            id: number;
            metaId: number;
            type: string;
            value: number;
            periodStart: Date;
        }>;
        sourceTableName?: string;
        periodUnitToCompactInto: PeriodUnit;
    }): Promise<number>;
    getPreviousAndCurrentPeriodTypeAggregates(): Promise<Array<{
        period: 'previous' | 'current';
        type: 0 | 1 | 2 | 3;
        total_value: string | number;
    }>>;
}
