import type { InsightsSummary } from '@n8n/api-types';
import type { ExecutionLifecycleHooks } from 'n8n-core';
import { type IRun } from 'n8n-workflow';
import { SharedWorkflowRepository } from '../../databases/repositories/shared-workflow.repository';
import { InsightsByPeriodRepository } from './database/repositories/insights-by-period.repository';
import { InsightsRawRepository } from './database/repositories/insights-raw.repository';
export declare class InsightsService {
    private readonly sharedWorkflowRepository;
    private readonly insightsByPeriodRepository;
    private readonly insightsRawRepository;
    private readonly maxAgeInDaysForHourlyData;
    private readonly maxAgeInDaysForDailyData;
    private compactInsightsTimer;
    constructor(sharedWorkflowRepository: SharedWorkflowRepository, insightsByPeriodRepository: InsightsByPeriodRepository, insightsRawRepository: InsightsRawRepository);
    initializeCompaction(): void;
    shutdown(): void;
    workflowExecuteAfterHandler(ctx: ExecutionLifecycleHooks, fullRunData: IRun): Promise<void>;
    compactInsights(): Promise<void>;
    compactRawToHour(): Promise<number>;
    compactHourToDay(): Promise<number>;
    compactDayToWeek(): Promise<number>;
    getInsightsSummary(): Promise<InsightsSummary>;
}
