import type express from 'express';
import type { INode, IRunExecutionData, IWebhookData, IWorkflowExecuteAdditionalData, Workflow, WorkflowExecuteMode, IWorkflowBase } from 'n8n-workflow';
import type { IWebhookResponseCallbackData, WebhookRequest } from './webhook.types';
export declare function getWorkflowWebhooks(workflow: Workflow, additionalData: IWorkflowExecuteAdditionalData, destinationNode?: string, ignoreRestartWebhooks?: boolean): IWebhookData[];
export declare function autoDetectResponseMode(workflowStartNode: INode, workflow: Workflow, method: string): "onReceived" | "responseNode" | "formPage" | undefined;
export declare const handleFormRedirectionCase: (data: IWebhookResponseCallbackData, workflowStartNode: INode) => IWebhookResponseCallbackData;
export declare function executeWebhook(workflow: Workflow, webhookData: IWebhookData, workflowData: IWorkflowBase, workflowStartNode: INode, executionMode: WorkflowExecuteMode, pushRef: string | undefined, runExecutionData: IRunExecutionData | undefined, executionId: string | undefined, req: WebhookRequest, res: express.Response, responseCallback: (error: Error | null, data: IWebhookResponseCallbackData) => void, destinationNode?: string): Promise<string | undefined>;
